Please select Into the mobile phone version | Continue to access the computer ver.
DJI GO app, you can download old versions here
28867 14 2016-7-10
Uploading and Loding Picture ...(0/1)
o(^-^)o
kylmannen
lvl.3
Flight distance : 3219137 ft
Sweden
Offline

https://www.facebook.com/l.php?u ... h=QAQEw31BK&s=1

2016-7-10
Use props
kylmannen
lvl.3
Flight distance : 3219137 ft
Sweden
Offline

https://www.flickr.com/photos/127289479@N04/?
Hi, if you have any issues with the  new DJI GO app, you can download old versions here
2016-7-10
Use props
Theo from curac
lvl.2
Curaçao
Offline

kylmannen@hotma Posted at 2016-7-10 06:03
https://www.flickr.com/photos/127289479@N04/?
Hi, if you have any issues with the  new DJI GO app, y ...

I followed the link, but cannot find  it for ios.
2016-11-8
Use props
Explorographer
lvl.1

United States
Offline

Yep, as you probably won't.  DJI effectively made my setup, Phantom 4 + Ipad 4 useless.  I understand they have to update the software for the newer units (Mavic/Insp2/Pro4) but  you don't just give the people who got you there the effing SHIV.  You need to make those versions available rather than breaking my setup. Something I rely on for income... BS move by DJI for sure!
2016-12-4
Use props
Jkeller84
First Officer
Flight distance : 396955 ft
  • >>>
United States
Offline

Explorographer Posted at 2016-12-4 07:42
Yep, as you probably won't.  DJI effectively made my setup, Phantom 4 + Ipad 4 useless.  I understan ...

So you use it for income and it's DJIs fault that you don't upgrade your extremely outdated iPad?
2016-12-4
Use props
Aardvark
Captain
Flight distance : 384432 ft
  • >>>
United Kingdom
Offline

I just hope there is no malware attached to any of these old updates from third party sites.

If the display devices are backed up before updates, then they can be reinstated should there be any problem with the update.
2016-12-4
Use props
Grizz 1
Second Officer
Flight distance : 120066 ft
United States
Offline

apple iTunes still have the old app
2016-12-4
Use props
Explorographer
lvl.1

United States
Offline

Grizz 1 Posted at 2016-12-4 08:37
apple iTunes still have the old app

There are two apps. DGI go and DJI go 4.  Neither will install.
2016-12-4
Use props
george_007
Second Officer
Flight distance : 183045 ft
Sweden
Offline

Explorographer Posted at 2016-12-4 16:23
There are two apps. DGI go and DJI go 4.  Neither will install.

I just managed to install the new version 3.1.1 on my IPad 4.
It was released yesterday. Can you install it?

Maybe DJI decided to change their policy?
2016-12-6
Use props
dacta72
lvl.1

Netherlands
Offline

It is outrageous that DJI and Apple force us to buy a new ipad because there is an update of DJI Go 4 that does not work on an Ipad 4. Without the old version still available. I've been in touch with DJI and Apple for some time now. DJi blames Apple by claiming that the problem is with the region in which some users live. Nonsense. On an ipad 5th generation DJI Go 4 works perfectly in the same region. If you are an Android user, you do not have this problem. The Google store will make all previous versions available.
My question to Apple is simple. Make sure that the previous version of DJI Go 4 can be downloaded in the Itunestore. If Apple does not, I will continue with Facebook. I call all users who also have these issues to respond.
2017-10-24
Use props
Dockater
First Officer
Flight distance : 139649 ft
Germany
Offline

Jkeller84 Posted at 2016-12-4 04:53
So you use it for income and it's DJIs fault that you don't upgrade your extremely outdated iPad?

Oh, so true.
2017-10-24
Use props
dacta72
lvl.1

Netherlands
Offline

Nonsense. Too bad for words Ipad 4th generation is indeed a few years old. But that does not mean that he has been depreciated. The previous version of DJI Go 4 did well on this Ipad 4.  We're talking about DJI G0 4 and not DJIGo Okay, it's a free app so I have no financial disadvantage. What I have to do with purchasing the Autopilot app. I purchased this app on October 8, 2017 for € 32.00 and a few weeks later, there was a new update that does not work on my Ipad 4. Also from autopilot, the previous version is no longer available for download in the Itunestore. It is not the fault of DJI. They provide good software. The problem is with Apple. All software manufacturers make available the previous versions of their software on the Internet. Why Apple not?
English is not my language. sorry for the errors in the text.
2017-10-24
Use props
DazzauksDad
lvl.3
Flight distance : 124446 ft

United Kingdom
Offline

dacta72 Posted at 2017-10-24 04:52
Nonsense. Too bad for words Ipad 4th generation is indeed a few years old. But that does not mean that he has been depreciated. The previous version of DJI Go 4 did well on this Ipad 4.  We're talking about DJI G0 4 and not DJIGo  Okay, it's a free app so I have no financial disadvantage. What I have to do with purchasing the Autopilot app. I purchased this app on October 8, 2017 for € 32.00 and a few weeks later, there was a new update that does not work on my Ipad 4. Also from autopilot, the previous version is no longer available for download in the Itunestore. It is not the fault of DJI. They provide good software. The problem is with Apple. All software manufacturers make available the previous versions of their software on the Internet. Why Apple not?
English is not my language. sorry for the errors in the text.

Deleted
2017-10-24
Use props
dacta72
lvl.1

Netherlands
Offline

I can not install it because they are not linked to my apple id. They are linked to a Apple ID from another person. ricky*******@*******.com I don't know how to fix it.
Thanks anyway.
2017-10-26
Use props
gustofusion
lvl.4
United States
Offline


https://hypedphoto.com/dronevideos/dji-go-older-versions/
2018-2-4
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules